Skip to main content
GET
/
v1
/
crypto
/
open-interest
Get Open Interest Data
curl --request GET \
  --url https://data-tools.prd.arrays.org/api/v1/crypto/open-interest \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "sum_open_interest_value": 123,
      "symbol": "<string>",
      "time": "<string>",
      "timestamp": 123
    }
  ],
  "error": {
    "code": "RESOURCE_NOT_FOUND",
    "details": [
      {
        "field": "<string>",
        "got": "<string>",
        "reason": "<string>"
      }
    ],
    "docs_url": "<string>",
    "examples": [
      "<string>"
    ],
    "hint": "<string>",
    "message": "The requested resource was not found.",
    "suggestions": [
      "<string>"
    ]
  },
  "pagination": "<unknown>",
  "request_id": "<string>",
  "success": true
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Example: "your-api-key-here"

Query Parameters

symbol
string
required

Crypto token symbol (e.g., BTC, ETH, SOL)

start_time
integer<int64>
required

Start time (Unix timestamp in seconds)

end_time
integer<int64>
required

End time (Unix timestamp in seconds)

limit
integer<int32>
default:30

Maximum number of results (1-1000, default: 30)

interval
enum<string>
default:1d

Time interval (only 1d supported, default: 1d)

Available options:
1d
exchange
enum<string>
default:binance

Exchange name (only binance supported, default: binance)

Available options:
binance

Response

Successfully returns open interest data

data
object[]
error
object
pagination
any
request_id
string
success
boolean